/**
 * Search block (component)
 * Library card used in
 * - paragraph--hero-homepage.html.twig
 * - page.html.twig
 * - views-view--search.html.twig
 */


/**
 * Global style
 */


 .search-block > div:first-child {
  font-family: 'Raleway';
  font-size: 0.875rem;
  color: var(--color-primary--1);
  font-weight: 600;
}

.search-block > div:last-child {
  font-family: 'Merriweather';
  font-size: 0.75rem;
  color: var(--color-primary--2);
  font-weight: 400;
}
.search-block form#views-exposed-form-search-page-1 {
  position: relative;
}
.search-block input.form-search {
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: 2px solid var(--color-secondary--2);
  border-radius: 3px;
  background-color: var(--color-secondary--6);
  height: 40px;
  width: calc(100% - 2rem);
  padding:  0 2rem 0 5px;
}
.search-block input.form-submit {
  all: unset;
  display: flex;
  justify-content: center;
  align-items: center;
  text-indent: -9999px;
  overflow: hidden;
  width: 40px;
  height: 40px;
  background-image: url('/themes/custom/editionsprivat/images/icons/search-icon.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: 20px 20px;
  position: absolute;
  right: 0px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}
.search-block .form--inline .form-item,
.search-block .form-item, .form-actions {
  float: unset;
  margin: 0;
}
.search-block input.form-text {
  padding-right: 2.1rem;
}


 /**
 * Search bar inside header
 */


.main__header-search.search-block form#views-exposed-form-search-page-1 {
  max-width: 252px;
}
.main__header-search.search-block > div:first-child {
  color: var(--color-primary--2);
}
.main__header-search.search-block input.form-text {
  background-color: var(--color-secondary--5);
}




@media all and (min-width: 1000px) {
  .main__header-search.search-block > div:first-child {
    font-size: 0.625rem;
    white-space: nowrap;
  }
  .main__header-search.search-block input.form-text {
    background-color: var(--color-secondary--6);
  }
}

@media all and (min-width: 1212px) {
  .main__header-search.search-block > div:first-child {
    font-size: 0.75rem;
  }
}

/**
 * Hero homepage search block
 */

.hero-homepage__search.search-block {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

@media all and (min-width: 1350px){
  .hero-homepage__search.search-block form#search-block-form {
      width: 327px;
  }
  .hero-homepage__search.search-block > div:first-child,
  .hero-homepage__search.search-block > div:last-child {
      font-size: 1rem;
  }
}


/**
 * Classic hero search
 */

.hero__search.search-block {
  max-width: 252px;
}
.hero__search.search-block > div:first-child {
  color: var(--color-primary--2);
}


@media all and (min-width: 1000px) {

  .hero__search.search-block  > div:first-child {
    font-size: 0.625rem;
    white-space: nowrap;
  }
}

@media all and (min-width: 1212px) {
  .hero__search.search-block  > div:first-child {
    font-size: 0.75rem;
  }
}


/**
 * hide search bar only in desktop in,certain page
 */
@media all and (min-width: 1000px) {
  .path-frontpage .main__header-search.search-block,
  .path-search .main__header-search.search-block {
    display: none;
  }
}


/**
 * Search block for press release
 */
.view-press-release .search-block {
  margin-bottom: 2rem;
}

.view-press-release .search-block form {
  position: relative;
  max-width: 252px;
}
.view-press-release .search-block > div:first-child {
  color: var(--color-primary--2);
  margin-bottom: 0.3rem;
}
@media all and (min-width: 750px) {
  .view-press-release .search-block {
    margin-bottom: 4rem;
  }
}
